Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 1573183002: bluetooth: Update BluetoothCharacteristic.value on readValue (Closed)

Created:
3 years, 11 months ago by François Beaufort
Modified:
3 years, 10 months ago
CC:
blink-reviews, chromium-reviews, scheib+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

bluetooth: Update BluetoothCharacteristic.value on readValue BUG=575577 Committed: https://crrev.com/e09e5da1d5b9f11e7955bdb6a4517e9e5da30164 Cr-Commit-Position: refs/heads/master@{#369995}

Patch Set 1 #

Patch Set 2 : #

Total comments: 1

Patch Set 3 : Switch to WeakPersistent #

Total comments: 1

Patch Set 4 : Use anonymous namespace #

Messages

Total messages: 22 (10 generated)
fbeaufortchromium
Hey Giovanni, can you have a look at this CL?
3 years, 11 months ago (2016-01-12 09:20:24 UTC) #2
ortuno
Nice! I'm adding yhirano as a reviewer to see if this is the right pattern. ...
3 years, 11 months ago (2016-01-12 19:26:48 UTC) #4
yhirano
Looks good. I generally prefer using CallbackPromiseAdapter over using WebCallbacks directly, but in this case ...
3 years, 11 months ago (2016-01-13 09:10:23 UTC) #5
ortuno
One small issue. Thanks for doing this by the way! https://codereview.chromium.org/1573183002/diff/20001/third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp File third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp (right): https://codereview.chromium.org/1573183002/diff/20001/third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp#newcode119 ...
3 years, 10 months ago (2016-01-13 21:14:09 UTC) #6
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1573183002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1573183002/40001
3 years, 10 months ago (2016-01-14 10:21:05 UTC) #8
commit-bot: I haz the power
Dry run: No L-G-T-M from a valid reviewer yet. Only full committers are accepted. Even ...
3 years, 10 months ago (2016-01-14 10:21:07 UTC) #10
François Beaufort
On 2016/01/13 21:14:09, ortuno wrote: > One small issue. Thanks for doing this by the ...
3 years, 10 months ago (2016-01-15 08:17:35 UTC) #14
ortuno
lgtm with one nit. https://codereview.chromium.org/1573183002/diff/80001/third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp File third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp (right): https://codereview.chromium.org/1573183002/diff/80001/third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp#newcode20 third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp:20: PassRefPtr<DOMArrayBuffer> ConvertWebVectorToArrayBuffer( nit: I would ...
3 years, 10 months ago (2016-01-15 17:12:51 UTC) #15
yhirano
lgtm from my side.
3 years, 10 months ago (2016-01-17 23:25:14 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1573183002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1573183002/100001
3 years, 10 months ago (2016-01-18 07:42:31 UTC) #19
commit-bot: I haz the power
Committed patchset #4 (id:100001)
3 years, 10 months ago (2016-01-18 08:51:39 UTC) #20
commit-bot: I haz the power
3 years, 10 months ago (2016-01-18 08:52:48 UTC) #22
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/e09e5da1d5b9f11e7955bdb6a4517e9e5da30164
Cr-Commit-Position: refs/heads/master@{#369995}

Powered by Google App Engine
This is Rietveld 408576698